Subject: Re: [IPROUTE PATCH] iproute2: act_ipt fix xtables breakage on older versions.

From: Jamal Hadi Salim <[email-masked]>
Date: Fri, 26 Apr 2013 09:20:41 -0400

On 13-04-25 06:07 PM, Alexander Duyck wrote:
> In trying to build on a RHEL6.3 I ran into several build issues that are
> addressed in this patch.
>
> The first is that xtables_options_xfrm only has 3 options.  It appears this is
> how this code was originally.  As such for the case where the version is less
> than 6 I am assuming it would be correct to maintain the original setup that
> only had 3 parameters being passed instead of 4.
>

Getting it to compile is insufficient get it to work.
We've gone over the specific issues you are running into and infact 
patches exist for both iproute2 and the kernel. I'll see if i can get 
something out this weekend.
Hasan, you never got back to me on our last email exchange whether the
proposed changes worked out. Can you please provide me some feedback?

cheers,
jamal